Bug 116329 - EDITING Hyperlink disappears from a cell in LibreOffice Calc
Summary: EDITING Hyperlink disappears from a cell in LibreOffice Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, dataLoss, regression
Depends on:
Blocks: Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2018-03-10 08:52 UTC by Gabor Kelemen (allotropia)
Modified: 2018-10-27 20:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file with hyperlink (9.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-10 08:52 UTC, Gabor Kelemen (allotropia)
Details
Before copying the hyperlink (121.30 KB, image/png)
2018-03-10 08:55 UTC, Gabor Kelemen (allotropia)
Details
After copying the hyperlink (114.35 KB, image/png)
2018-03-10 08:56 UTC, Gabor Kelemen (allotropia)
Details
Before copying the hyperlink - with the Hyperlink dialog (164.56 KB, image/png)
2018-03-10 08:58 UTC, Gabor Kelemen (allotropia)
Details
After copying the hyperlink - with the Hyperlink dialog (157.17 KB, image/png)
2018-03-10 09:00 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-03-10 08:52:14 UTC
Created attachment 140529 [details]
Example file with hyperlink

If we create a hyperlink in a LibreOffice Calc cell and we enter into the “Formula Bar” and copy the full text or the part of the text to another cell, the hyperlink will disappear from the original cell.

Steps to reproduce:
1. Create a new spreadsheet with LibreOffice Calc
2. Insert a hyperlink to a cell, which point to a webpage. (https://google.com)
3. Click on the cell which contains the hyperlink
4. Go to the “Formula Bar” and copy the hyperlink text to another cell.

Actual results:
The hyperlink disappeared from the original cell. It occurs when we use a xlsx or an ods extension file.

Expected results:
The hyperlink should not disappear from the original cell.

Version: 6.0.2.0.0+
Build ID: c5647bd503b1d72229492b55257b0e3eb8f42464
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:libreoffice-6-0, Time: 2018-02-13_07:32:36
Locale: hu-HU (hu_HU); Calc: group
Comment 1 Gabor Kelemen (allotropia) 2018-03-10 08:55:06 UTC
Created attachment 140530 [details]
Before copying the hyperlink
Comment 2 Gabor Kelemen (allotropia) 2018-03-10 08:56:56 UTC
Created attachment 140531 [details]
After copying the hyperlink
Comment 3 Gabor Kelemen (allotropia) 2018-03-10 08:58:24 UTC
Created attachment 140532 [details]
Before copying the hyperlink - with the Hyperlink dialog
Comment 4 Gabor Kelemen (allotropia) 2018-03-10 09:00:25 UTC
Created attachment 140533 [details]
After copying the hyperlink - with the Hyperlink dialog
Comment 5 Buovjaga 2018-03-12 19:33:42 UTC
Repro. It's not inherited from OOo.
Not reproduced on 5.3 on Win or 3.6 on Linux.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: de53d4690d25b9f1bbc0def6c66ce5b45b2fdc96
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 12th 2018
Comment 6 Xisco Faulí 2018-03-12 22:44:25 UTC
Regression introduced by:

author	Eike Rathke <erack@redhat.com>	2017-08-24 16:34:55 +0200
committer	Eike Rathke <erack@redhat.com>	2017-08-24 16:37:15 +0200
commit	d31a8263d564ebd7886f6debdf36cedd031915ea (patch)
tree	494dbabd49cdd5d9a5cbb44ce28fa35894e58707
parent	73ee631e58f392415f23e98460ff4b2f3a763d37 (diff)
Resolves: tdf#108795 merge table EditEngine language attributes to input line
... when editing there, so the SvxAutoCorrect behaviour is synchronized.
Depends on commit 06d14411a447cd798d1f0678a3c5e06f5278a1cb that disentangles
the stateful SvxAutoCorrect instance.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Eike Rathke
Comment 7 Eike Rathke 2018-03-22 18:38:31 UTC
Investigating.
Comment 8 Eike Rathke 2018-03-22 19:09:01 UTC
(In reply to Xisco Faulí from comment #6)
> Regression introduced by:
> commit	d31a8263d564ebd7886f6debdf36cedd031915ea (patch)
I doubt that. Apart from that nowadays calls were slightly moved around, when omitting the call to ScInputHandler::MergeLanguageAttributes() that was introduced by that commit the hyperlink attribution in the cell is still lost when starting editing in the Input Line. Actually already when holding the Shift key down.
Comment 9 Xisco Faulí 2018-03-23 09:14:50 UTC
(In reply to Eike Rathke from comment #8)
> (In reply to Xisco Faulí from comment #6)
> > Regression introduced by:
> > commit	d31a8263d564ebd7886f6debdf36cedd031915ea (patch)
> I doubt that. Apart from that nowadays calls were slightly moved around,
> when omitting the call to ScInputHandler::MergeLanguageAttributes() that was
> introduced by that commit the hyperlink attribution in the cell is still
> lost when starting editing in the Input Line. Actually already when holding
> the Shift key down.

I've double checked it again and this is what I see:

1. Create a new spreadsheet
2. Ctrl + K on A1 poiniting to https://www.google.com/ and press ok
3. Move the cursor to A1

Before d31a8263d564ebd7886f6debdf36cedd031915ea, the text in the formula bar can be selected and pasted as a link to another cell, after the commit, the link disappears just by selecting the text in the formula bar
Comment 10 Eike Rathke 2018-04-04 09:16:43 UTC
I don't have time to work on this now. Unassigning myself.
Comment 11 Eike Rathke 2018-04-18 09:18:39 UTC
Fixed with the fix for bug 117017.
Comment 12 Xisco Faulí 2018-04-19 09:21:24 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: cb5f6503f593d7c7a719542281b9efd274134f7c
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 13 Xisco Faulí 2018-04-19 09:22:50 UTC
Cherry-picked to 6.0: https://gerrit.libreoffice.org/#/c/53144/